package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class TeacherAttendanceQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "教师ID")
    private Integer teacherId;

    @ApiModelProperty(value = "乐团ID")
    private String musicGroupId;

    @ApiModelProperty(value = "班级ID")
    private Integer classGroupId;

    @ApiModelProperty(value = "签到状态")
    private YesOrNoEnum attendanceStatus;

    @ApiModelProperty(value = "班级类型")
    private ClassGroupTypeEnum classGroupType;

    @ApiModelProperty(value = "班级名称")
    private String classGroupName;

    public ClassGroupTypeEnum getClassGroupType() {
        return classGroupType;
    }

    public void setClassGroupType(ClassGroupTypeEnum classGroupType) {
        this.classGroupType = classGroupType;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public YesOrNoEnum getAttendanceStatus() {
        return attendanceStatus;
    }

    public void setAttendanceStatus(YesOrNoEnum attendanceStatus) {
        this.attendanceStatus = attendanceStatus;
    }
}
